
/* Make the header bg full width, but the content inline with body */
body {
  font-size: 1.25rem;

}

body > header {
  border-bottom: 5px solid var(--border);
}

h1, h2, h3 {
  margin-top: 4rem;
  margin-bottom: 3rem;
}

a.button {
border: 3px solid;
box-shadow: 6px 6px 0 0 var(--border);
transition: color .1s ease-in-out, .1s ease-in-out;
margin: 1.5rem 0;
padding: 10px 12px;
font-size: inherit;
font-family: inherit;
}

a.button {
text-decoration: none;
display: inline-block;
}

.button span {
padding: 0 0.5rem;
}

/* Notice boxes */
.notice,
.notice-red,
.warning,
.tip,
.info {
  background: var(--accent-bg);
  border: 3px solid var(--text);
  padding: 1rem 1rem 2rem 1rem;
  margin: 2.5rem auto;
}

.notice p,
.notice-red p,
.warning p,
.tip p,
.info p {
  margin: 0.5rem;
}

.notice p:nth-child(n+2),
.notice-red p:nth-child(n+2),
.warning p:nth-child(n+2),
.tip p:nth-child(n+2),
.info p:nth-child(n+2){
  margin-top: 1rem;
}

.notice::before,
.notice-red::before,
.warning::before,
.tip::before,
.info::before {
  color: var(--dark-text);
  border-right: 3px solid var(--text);
  border-bottom: 3px solid var(--text);
  display: block;
  text-align: center;
  position: relative;
  left: -1rem;
  top: -1rem;
  padding: 2px 10px;
  font-weight: bold;
}

.notice a:hover,
.warning a:hover,
.notice-red a:hover,
.tip a:hover,
.info a:hover {
  background-color: var(--pink);
}

.notice::before {
  content: "NOTE";
	background: var(--blue);
	width: 5rem;
}

.notice-red::before,
.warning::before {
  content: "WARNING";
	background: #ffdd55;
	width: 7.5rem;
}

.tip::before {
  content: "TIP";
	background: var(--green);
	width: 4rem;
}

.info::before {
  content: "FYI";
	background: var(--blue);
	width: 4rem;
}

  
/* Background colours */
.yellow {
    background: #ffdd55;
}
  
.blue {
    background: #aaccff;
}
  
.pink {
    background: #f495c6;
}
  
.pink a.dark-button:hover {
    background: #ffdd55 !important;
}
  
.purple {
    background: #929cf9;
}
  
.green {
    background: #c3ec81;
}

blockquote {
    font-size: 2rem;
    font-style: italic;
    font-family: -apple-system-ui-serif, ui-serif, serif, Georgia, 'Times New Roman', Times;
    margin: 2.5rem auto;
    padding: .4rem .8rem;
    opacity: 50%;
    display: block;
    padding: 2.5rem;
    border: 1px dashed #000;
}
  
cite {
    font-size: 1rem;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
    font-style: normal;
    display: block;
    text-align: right;
}

.ssh {
  font-family: Menlo, Consolas, Monaco, "Liberation Mono", Lucida Console, monospace;
  font-size: 0.9rem;
  padding: 0;
  background: none;
  border: none;
}
